
Pre-Development - Bug #19849

FE - React - Organisation Profile  - No validation for email

22 February 2024 02:55 PM - Hazimi Muhammad

Status: Feedback Start date: 22 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

-The email is Not mandatory but need validation if user not put the email format Correctly

-Can refer to the

"https://dev.silverlakemobility.com/demo/cc_iam/organisationProfileModule/addOrganisationProfile.htm?orgId=&token=17085840377

558363673046516327252&orgCode=&orgCodeCriteria=CONTAIN&orgName=&orgNameCriteria=CONTAIN&regNumber=&regNum

berCriteria=CONTAIN&orgStatusSearch=A"

Issue:

Go to Organisation Profile -> click add button -> fill the email without "@gmai.com" -> click save button -> no valication for email

Expected:

Go to Organisation Profile -> click add button -> fill the email without "@gmai.com" -> click save button -> got valication for email

History

#1 - 28 February 2024 05:09 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to Hazimi Muhammad

Bug #19849: email validation in org profile form page

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/3c51ad7f94c7a7e8d17b999ed12426f4df3c2df2

#2 - 04 March 2024 10:20 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been solve

Go to Organisation Profile -> click add button -> fill the email without "@gmai.com" -> click save button -> got valication for email

validation has been add
